javax.websocket

## Interface Encoder

- All Known Subinterfaces:
    Encoder.Binary<T>, Encoder.BinaryStream<T>, Encoder.Text<T>, Encoder.TextStream<T>

      public interface Encoder

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `Encoder.Binary<T>`
    `static interface` | `Encoder.BinaryStream<T>`
    `static interface` | `Encoder.Text<T>`
    `static interface` | `Encoder.TextStream<T>`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `void` | `init(EndpointConfig endpointConfig)`

- - ### Method Detail

    - #### init

          void init(EndpointConfig endpointConfig)

    - #### destroy

          void destroy()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.